Need help? Check out our Support site, then


Error: Your browser is out of date

  1. WordPress.com is urging me to update Safari, saying that the version I have is out of date. I should not be getting this error, as I am running Safari 5.0.6 on 10.5.8, the latest version for this OS. Your browser check needs to not only look at the browser version, but the OS version as well when deciding to issue these notices to users.

  2. Just to begin with the simplest thing, try this:
    http://en.support.wordpress.com/browser-issues/

  3. It adds a number of layers of complexity to tie browser versions to the latest OS they can run on and keep track of all of that, and in many cases you would definitely not want to do that such as with the people running Windows 98 and IE6.

    In your case, just click the dismiss button and don't worry about it since you are on Safari 5.0.x.

  4. ~~~Thanks tsp

  5. G'day Tess, and you are welcome.

  6. elizabethweaver
    Member

    I started receiving the message that my browser was "out of date" a few months ago. The problem is that since I'm running Tiger (Mac OS 10.4) on my five year old iMac, I am unable to update to any acceptable browser for WP.

    The continual fast obsolescence of computers is frustrating enough, without my two year old blogs being at risk as well.

    Why has WordPress made technological choices that push our environment since new computers mean one eventually disposes the old, which incurs health and environmental hazards for the most part, and forces WP participants to prioritize the semi-newest computers and programs even if serious illness, unemployment, or catastrophe of many kinds occur, or if one prefers to simplify one's footprint on this planet. WP should reconsider implementing changes that require bloggers to spend hundreds to thousands of dollars every few years so their browers are compatible not to mention the likelihood that the older hardware will impact the poorest on our planet who remove those toxic computer metals in places that don't appear to impact developed countries' water and land and health.

    Other than this...I love WP and am grateful for the collective work that continues to create an excellent blogging experience and exchange. Thank you to all the developers/techs/admins and all who help create this wonderful collaborative forum.

    I hope that someone from WP admin responds. Thank you.

  7. It's merely just a suggestion that you aren't using the latest and most secure version of the browser possible, not a requirement.

    We know that not everyone can update their browsers, which is why there's a Dismiss link at the botton of the notice.

    You might want to consider at least upgrading to Opera 10.63, available at http://www.opera.com/browser/download/?os=mac&list=all

    It's not the latest browser in Opera's series, but since it was released in October of 2010, it's pretty much the most advanced browser to still support OS X 10.4.

  8. elizabethweaver
    Member

    Thank you so much, macmanx. I appreciate your reply and will apply Opera. I'm also glad to know that I can dismiss the notice without losing access to WP in the near future. Thank you for your kind response.

  9. You're welcome!

Topic Closed

This topic has been closed to new replies.

About this Topic